GET /license/registeronline
GET https://example.com/license/registeronline
Description
Registers DS Server online with the Text Control store based on a given serial number. The Register button on the Online (Recommended) tab of the admin portal's Licensing page calls it.
Examples
The following code registers DS Server online based on a given serial number.
# Request:
curl GET 'https://trial.dsserver.io/license/registeronline?serial=yourserialnumber' \
'Authorization: Basic e3t1c2VyX25hbWV9fTp7e3Bhc3N3b3JkfX0='
Authorization
This endpoint supports the Basic authorization method:
Basic
| Header field | Description |
|---|---|
| Authorization | The username "admin" and your admin password are combined into a string separated by a colon, e.g.: admin:password. The resulting string is encoded using the RFC2045-MIME variant of Base64, except not limited to 76 char/line. The authorization method and a space i.e. "Basic " is then put before the encoded string. For example: Authorization: Basic QWxhZGRpbjpPcGVuU2VzYW1l |
Request Parameters
| Name | Type | Value | Optional |
|---|---|---|---|
| serial | String | The given serial number of your DS Server installation. | no |
Success Response
| Status | Description |
|---|---|
| 200 | On success, the HTTP status code in the response header is 200 (OK). |
Error Response
| Status | Description |
|---|---|
| 401 | A 401 (Unauthorized) with an empty body and the header WWW-Authenticate: Basic realm=Access to the Admin page is returned, if the admin credentials are missing or wrong. |
| 400 | A 400 (Bad Request) is returned, if the registration failed. Details are listed in the returned error message. |